from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLabelRange(XInterface, Protocol):
    def getLabelArea(self) -> CellRangeAddress: ...
    def setLabelArea(self, aLabelArea: CellRangeAddress) -> None: ...
    def getDataArea(self) -> CellRangeAddress: ...
    def setDataArea(self, aDataArea: CellRangeAddress) -> None: ...
